import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusBlackLpn } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-01-26 17:22
 */
interface BusBlackLpnCU extends ConditionUtil<BusBlackLpnCU> {
    CAR_PLATE_NUM: FieldUtil<BusBlackLpnCU>;
    CODE: FieldUtil<BusBlackLpnCU>;
    CREATE_TIME: FieldUtil<BusBlackLpnCU>;
    UPDATE_TIME: FieldUtil<BusBlackLpnCU>;
}
declare class BusBlackLpnMU extends TableUtilImpl<BusBlackLpnCU, BusBlackLpn> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusBlackLpnCU;
    static get CAR_PLATE_NUM(): FieldUtil<BusBlackLpnCU>;
    static get CODE(): FieldUtil<BusBlackLpnCU>;
    static get CREATE_TIME(): FieldUtil<BusBlackLpnCU>;
    static get UPDATE_TIME(): FieldUtil<BusBlackLpnCU>;
    get CAR_PLATE_NUM(): FieldUtil<BusBlackLpnCU>;
    get CODE(): FieldUtil<BusBlackLpnCU>;
    get CREATE_TIME(): FieldUtil<BusBlackLpnCU>;
    get UPDATE_TIME(): FieldUtil<BusBlackLpnCU>;
}
export { BusBlackLpnMU, BusBlackLpnCU };
